# from django.shortcuts import render
from django.views.generic import DetailView
from maintenance.models import Fournisseur, Technicien
from rest_framework import viewsets
from maintenance.serializers import FournisseurSerializer


class FournisseurDetailView(DetailView):
    model = Fournisseur
    template_name = "maintenance/fournisseur_detail.html"


class TechnicienDetailView(DetailView):
    model = Technicien
    template_name = "maintenance/technicien_detail.html"


class FournisseurViewSet(viewsets.ModelViewSet):
    queryset = Fournisseur.objects.all()
    serializer_class = FournisseurSerializer
